﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ryujin
{
    /// <summary>
    /// エリアを表します。
    /// </summary>
    class Area
    {
        /// <summary>
        /// BGM情報。
        /// </summary>
        public Bgm bgm = new Bgm();

        /// <summary>
        /// 初期化します。
        /// </summary>
        public void initialize()
        {
            this.bgm.initialize();
        }

        /// <summary>
        /// ゲームの初期化をします。
        /// </summary>
        public void ini()
        {
            this.bgm.flag = 0;
            this.bgm.knd[0] = 0; // 通常 BGMをどのタイミングで再生するか
            this.bgm.knd[1] = 0; // ボス BGMをどのタイミングで再生するか
            this.bgm.loop_pos[0] = 26672; // 通常 BGMのループ位置
            this.bgm.loop_pos[1] = 27010; // ボス BGMのループ位置
        }
    }
}
