﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ryujin
{
    /// <summary>
    /// ボスの情報を扱います。
    /// </summary>
    class BossInfo
    {
        /// <summary>
        /// 出現カウンタ。
        /// </summary>
        public int appear_count;

        /// <summary>
        /// 弾幕数。
        /// </summary>
        public int danmaku_num;

        /// <summary>
        /// 段階ごとの弾幕。
        /// </summary>
        public int[] shot_knd = new int[Setting.BOSS_DANMAKU_MAX];

        /// <summary>
        /// 段階ごとの初期HP。
        /// </summary>
        public int[] set_hp = new int[Setting.BOSS_DANMAKU_MAX];

        /// <summary>
        /// 段階ごとの背景。
        /// </summary>
        public int[] back_knd = new int[Setting.BOSS_DANMAKU_MAX];
    }
}
